#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-W3CDTF
Summary:	DateTime::Format::W3CDTF - Parse and format W3CDTF datetime strings
Summary(pl.UTF-8):	DateTime::Format::W3CDTF - analizowanie i formatowanie łańcuchów dat W3CDTF
Name:		perl-DateTime-Format-W3CDTF
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b4fa51057422b3facc4746b744807d9
URL:		http://search.cpan.org/dist/DateTime-Format-W3CDTF/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module understands the W3CDTF date/time format, an ISO 8601
profile, defined at <http://www.w3.org/TR/NOTE-datetime>. This format
as the native date format of RSS 1.0.

It can be used to parse these formats in order to create the
appropriate objects.

%description -l pl.UTF-8
Ten moduł rozumie format daty/czasu W3CDTF w profilu ISO 8601,
zdefiniowany w <http://www.w3.org/TR/NOTE-datetime>. Jest to natywny
format daty w RSS 1.0.

Moduł można wykorzystać do analizy tych formatów w celu utworzenia
odpowiednich obiektów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/Format/W3CDTF.pm
%{_mandir}/man3/DateTime::Format::W3CDTF.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Format-W3CDTF.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 495626f
- up to 0.07

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 62558e2
- more verbose man files

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> aed10f4
- Up to 0.06

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 011f89f
- updated to 0.05

* Tue Dec 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 06705ed
- unified Source0 URL

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a870d3
- rel 1

* Mon Feb 18 2008 Maciej Pijanka <agaran@pld-linux.org> 962a48c
- fixed BR

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> d474d47
- pl

* Mon Mar 26 2007 Szymon Siwek <sls@pld-linux.org> 4016393
- perl-XML-RSS-1.22 needs this

